#pragma once

#include "OptionsWindow.h"

#include <Knopf.h>

class MapOptions : public Framework::Fenster
{
private:
    Framework::KontrollKnopf* underground;
    Framework::KontrollKnopf* followPlayer;
    Framework::KontrollKnopf* showPlayers;
    Framework::KontrollKnopf* showChunkBorders;
    
public:
    MapOptions();

    bool isUnderground();
    bool isFollowPlayer();
    bool isShowPlayers();
    bool isShowChunkBorders();
};